Name: gnats
Summary: A bug tracking system.
Version: 3.113
Release: 5
Copyright: GPL
Group: Development/Tools
Source: ftp://sourceware.cygnus.com/pub/gnats/gnats-3.113.tar.gz
#Patch0: gnats-3.110.patch
Url: http://sourceware.cygnus.com/gnats/
BuildRoot: /var/tmp/gnats-root


%description
GNATS (GNU Problem Report Management System) is a bug-tracking tool
designed for use at a central support site.  Users with problems
report them to the support site via email. GNATS partially automates
the tracking of the problem reports (PRs) in the following ways: by
organizing problem reports into a database and notifying responsible
parties of suspected bugs, by allowing support personnel and their
managers to edit and query accumulated bugs, and by providing a
reliable archive of problems for a given program (and their subsequent
solutions).  If you're installing GNATS, you'll need to install both
the gnats and the gnats-db packages.

%package db
Summary: The database skeleton for the GNATS bug tracking system.
Group: Development/Tools

%description db
GNATS (GNU Problem Report Management System) is a bug-tracking tool
designed for use at a central support site.  Users with problems
report them to the support site via email. GNATS partially automates
the tracking of the problem reports (PRs) in the following ways: by
organizing problem reports into a database and notifying responsible
parties of suspected bugs, by allowing support personnel and their
managers to edit and query accumulated bugs, and by providing a
reliable archive of problems for a given program (and their subsequent
solutions).  This package contains the database skeleton for the GNATS
system. If you're installing GNATS, you'll need to install both the
gnats and the gnats-db packages.

%prep
%setup -q -n gnats-3.113
#%patch0 -p1 -b .tim

%build
./configure --prefix=/usr --with-full-gnats \
	--libexecdir=/usr/libexec --verbose --with-gnats-root=/var/lib/gnats

make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
/usr/sbin/useradd gnats || :
make prefix=$RPM_BUILD_ROOT/usr install install-info
(cd gnats;
make GNATS_ROOT=$RPM_BUILD_ROOT/usr/share/gnats/gnats-db install-gnats-arch-indep )
/usr/sbin/userdel gnats || :

mkdir -p $RPM_BUILD_ROOT/usr/share/gnats/gnats-db/gnats-queue
mkdir -p $RPM_BUILD_ROOT/usr/share/gnats/gnats-db/pending
mkdir -p $RPM_BUILD_ROOT/usr/share/gnats/gnats-db/gnats-adm/
install -m 0644 gnats/categories $RPM_BUILD_ROOT/usr/share/gnats/gnats-db/gnats-adm/
install -m 0644 gnats/responsible $RPM_BUILD_ROOT/usr/share/gnats/gnats-db/gnats-adm/
install -m 0644 gnats/submitters $RPM_BUILD_ROOT/usr/share/gnats/gnats-db/gnats-adm/
install -m 0644 gnats/gnatsd.conf $RPM_BUILD_ROOT/usr/share/gnats/gnats-db/gnats-adm/
install -m 0644 gnats/config $RPM_BUILD_ROOT/usr/share/gnats/gnats-db/gnats-adm/

rm $RPM_BUILD_ROOT/usr/info/standards.info*

gzip $RPM_BUILD_ROOT/usr/info/* || :

( cd $RPM_BUILD_ROOT
	mkdir -p var/lib
	cd  var/lib
	ln -sf ../../usr/share/gnats/gnats-db gnats
)
%pre
cut -d: -f1 /etc/passwd | grep -q gnats
if [ $? -ne 0 ]; then
    /usr/sbin/useradd -c "Gnats User" \
       -r -d /usr/share/gnats/gnats-db/gnats-adm/config gnats 2>/dev/null || :
    exit 1
fi 

%pre db
cut -d: -f1 /etc/passwd | grep -q gnats
if [ $? -ne 0 ]; then 
    /usr/sbin/useradd -c "Gnats User" \
       -r -d /usr/share/gnats/gnats-db/gnats-adm/config gnats 2>/dev/null || :  
    exit 1
fi

%postun
if [ $1 = 0 ]; then 
    /usr/sbin/userdel gnats 2>/dev/null || :
    /usr/sbin/groupdel gnats 2>/dev/null || :  
fi

%postun db
if [ $1 = 0 ]; then 
    /usr/sbin/userdel gnats 2>/dev/null || :
    /usr/sbin/groupdel gnats 2>/dev/null || :  
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB CYGNUS README ChangeLog
/usr/bin/query-pr
/usr/bin/nquery-pr
/usr/bin/edit-pr
/usr/bin/nedit-pr
/usr/bin/getclose
/usr/bin/sub-type
/usr/bin/send-pr
/usr/bin/install-sid
/usr/libexec/gnats
/usr/share/emacs/site-lisp/gnats.el
/usr/share/emacs/site-lisp/send-pr.el
/usr/share/emacs/site-lisp/gnats.elc
/usr/man/*/*
/usr/info/*
/var/lib/gnats
%dir /usr/share/gnats/gnats-db

%files db
%defattr(-,root,root)
/usr/share/gnats/gnats-db/gnats-queue
/usr/share/gnats/gnats-db/pending
/usr/share/gnats/dist
/usr/share/gnats/cygnus

%config /usr/share/gnats/gnats-db/gnats-adm/categories
%config /usr/share/gnats/gnats-db/gnats-adm/responsible
%config /usr/share/gnats/gnats-db/gnats-adm/submitters
%config /usr/share/gnats/gnats-db/gnats-adm/gnatsd.conf
%config /usr/share/gnats/gnats-db/gnats-adm/config

%changelog
* Mon Feb 21 2000 Tim Powers <timp@redhat.com>
- removed standards.info.gz since it conflicts with binutils. BAD BAD BAD!

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- gzip info and man pages

* Sat Jan 29 2000 Tim Powers <timp@redhat.com>
- created /var/lib/gnats link to fix bug 8931

* Thu Jan 13 2000 Tim Powers <timp@redhat.com>
- added spec file updates to make gnats build right. Submitted from Alexander
	L. Belikoff <abel@vallinor4.com>
- fixes bug 7995

* Mon Dec 6 1999 Tim Powers <timp@redhat.com>
- updated to 3.113
- dropped patch

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- removed /usr/lib/libiberty.a from %files, conflicts with binutils

* Wed Jul 14 1999 Tim Powers <timp@redhat.com>
- updated source to 3.110
- fixed patch which caused problems with building
- built for 6.1

* Tue Apr 06 1999 Michael Maher <mike@redhat.com>
- updated package

* Mon Sep 08 1998 Michael Maher <mike@redhat.com>
- built package from contrib spec
